Passa al contenuto principale

ObjectStorageIamUserS3KeyResponse

Successful response with one ObjectStorageIamUserS3Key

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

S3 key of an IAM user of an object storage

s3_key_idintegerrequired
object_storage_idintegerrequired

Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

iam_user_idintegerrequired

Id of the IAM user (GET /api/v3/object-storages/{object_storage_id}/iam-users/{iam_user_id})

access_keystring | nullnullablerequired

Access key ID, to use with secret_key in the S3 clients

secret_keystring | nullnullablerequired

Secret of the S3 key; returned when the key is created and, afterwards, only with the objectstorage:secrets scope (null otherwise)

statusstring | nullnullablerequired

Status of the key in the IAM service of the storage, for example Active

activeboolean | nullnullablerequired

Whether the key is active: deleted keys are not returned; its state on the storage is in status

date_createddate-timenullablerequired
metarequired

Always null: only the paginated lists have a meta

Constant value: null
ObjectStorageIamUserS3KeyResponse
{
"error": 0,
"message": "string",
"data": {
"s3_key_id": 0,
"object_storage_id": 0,
"iam_user_id": 0,
"access_key": "string",
"secret_key": "string",
"status": "string",
"active": true,
"date_created": "2024-07-29T15:51:28.071Z"
}
}